NOV13 - Feedback

Hello @all,

From my side, I can only be sorry due to the fact that the problems were too similar, but as I’ve mentioned to some people, they were devised with some months time difference, and, as such, I was completely unaware that they could be used together on the same contest.

MCHAIRS was actually written not even thinking about the binary exponentiation method, as I had seen its original derivation formula as a modifcation of the Binomial Theorem, so, I really didn’t thought about it much.

SPOTWO was intended to be an easy problem and I wrote my solution being mostly concerned with the implementation of a long arithmetic idea to “avoid” overflow of the number 2*N_bin… (I knew that around the number 524 thousand and something or 527 thousand and something, the number 2*N_bin would exceed the value of an ULL and that was the only reason I used 600.000 as an upper limit - again - I didn’t even realized the problem could be so easily solved as almost everyone did).

On the other hand, if I had found some way of failing the most naive solutions and use only the idea that Hiroto told me about (which is largely based on Fermat’s Little Theorem), then this problem would have been MEDIUM and not EASY.

Besides this small issue with my own problems, the only really big issue I have to point to the contests, is the way the tester’s and/or setter’s tend to classify the problem difficulty levels.

For instance, we are told, while setting problems, to send an e-mail with our thought difficulty level and the problem requisites, possibly even BEFORE the problem is selected.

This is not good.

This is not good because a problem I can see as being MEDIUM or HARD can easily be seen as SIMPLE or even CAKEWALK by the given month’s tester.

Since the problems must be previously selected by taking into account the difficulty level we thought about (at least on an early stage), this opens room for a lot of ambiguity on the problem difficulty level classification.

I think that if we can have a better problem selection method based on the problem difficulty, than we can have more balanced contests…

(This will also eventually matter for the Tester him/herself, as if a tester is more experienced than other, he/she can have different points of view on the difficulty levels)

Best,

Bruno

What was your method for MCHAIRS?

One issue I have with the hard problems is that two of them, GERALD2 and MONOPLOY, are nearly identical in terms of solving technique, so basically the same people solved them. Not only it creates an unfair advantage for people well-versed in that technique, but it provides less opportunities to learn new stuff, which is my personal reason for participating in the contests.

8 Likes

I just knew the reduction method to fast exponentiation when I first set this problem, but, it was also possible to precompute powers of two and then taking O(1) time to answer each query without explicitly using fast exponentiation, such as this: http://www.codechef.com/viewsolution/2920454

1 Like

Yes we are aware of this and we truly regret the issues. We will fix them going ahead and will try to be more responsive in the status of the rejudging.

I agree always you’ll find questions based on sequences…!!!

  1. One think that was really irritating was slow website throughout the contest (and still is, took me 5 minutes to sign in to write this comment). For a 10 days long it should make little difference; but as someone pointed out it is a busy month for students because of the upcoming exams and course projects, setting aside time to solve some problems only to find the site hanging is a mood killer.

  2. Many questions were raised regarding why scores were not visible for challenge problem. No admin answered them :frowning: That coupled with 1) above was too much to take.

  3. Question quality has been dwindling since MAY13. JUNE13 had too easy questions. JULY13 was comparatively good, but after that all contests had sharp difference between easy and tough problems. Some more problems on medium level would be nice.

3 Likes

the only thing i want to improve is the way editorials are explained.they must be written keeping in mind about naive users. taking case of chefgm editorials:this editorial what i think was not written
keeping in mind that there might be some users who don’t have any knowledge about game theory(specifically no mention was there regarding what is partial or impartial game)…

1 Like

As far as I understand solution to ‘Chef game’ (Hackenbush solution) does not depend on the uniqueness of numbers in pile. In fact adding repeating numbers to the piles will not affect the result at all. If you think about it then you will understand that repeating numbers give no advantage to anybody because they all repeated numbers will be removed at the same time altogether.

Sadly, russian translations were not of good quality. With all the respect to translators, it might be done better. Russian translation doesn’t sound like a Russian language, more like a machine translation. Also there are some errors in translation, for example ‘logistic’ was translated into Russian as ‘logic’ and was making no sense in Russian version. Also I don’t understand why name “Sashen’ka” is not translated in Russian, it looks ugly being simply copied from English version as is.

@snowbear: I think @kcahdog refers to the fact that they were unique in the test cases, although the problem statement allowed for duplicates. And many contestants forgot to remove the duplicates and still got AC. But I also agree that this is a minor issue. Removing the duplicates is a trivial step. Many of the accepted submissions which did not remove the duplicates could have been fixed immediately during the contest.

Well, I solved them rather differently (I used heavy path decomposition for GERALD2, but I used something else entirely for MONOPLOY). But it’s true that they were very data structures-oriented. In fact, all the three difficult problems (GERALD2, MONOPLOY and QPOINT) were data structures-oriented (for instance, I used segment trees in various forms for each of these 3 problems). Compared to this, last month’s difficult problems were very different (one based on number theory and the other one based on dynamic programming over the block-cut vertex tree of a graph).

4 Likes

I think if they do it in the editorials they’ll become too long… If you don’t understand something you can ask in the comments or google it :slight_smile:

@junior94 i know but what i understand by editorials is that they must present all the concepts related to problem very precisely and efficiently.we must also keep in mind as these publish only once in a month so they can be detailed.again it is my way of thinking.

1 Like

@snowbear Please refer to this : http://discuss.codechef.com/questions/28742/chefgm-editorial. It is a minor issue but i just felt problem statements should be prepared with more care in the future to avoid confusion like this later.

I agree with everything @junior94 said, especially with “TEST CASES: In certain problems the test cases seem to be sort of weak.”

This happens in almost every long contest: that there is a problem with weak test cases, sometimes even many problems in one contest.

It’s quite unfair to users implementing a proper solution that will handle the given constraints only to find out that other users used much simpler solutions which would fail in certain specially-crafted inputs.

It’s also sad for those other users because they will never know the real difficulty of the problem, and thus will never learn new algorithms/techniques. It’s even worse because they will think that their solutions are correct or are fast enough even though they are not, just because the CodeChef judge ACed their submissions.

I think the team should consider making more exhaustive and powerful test cases, that will really stress-test the submissions in terms of time limit, corner cases, and will withstand most common greedy/heuristic solutions. This is especially important in a 10-day long contest where pretty much all kinds of greedy solutions and heuristics will appear. Please, when creating a problem, put yourself in the solver’s shoes and think of all possible greedy solutions, and try to create test cases that will break them. Also consider the naive solutions and find a way for them not to pass the time limit if they are not the intended solutions.

5 Likes

It’s hard to see where my solution failed. Often, I feel that I have the right solution but incorrect output format. Probably some extra characters at the end. Whenever I see “internal error” or Time with -1.00 value I have no clue what happened.

@admin
For challenge problem
Why only TLE submissions are taken into account ?
Even though these solutions gave AC at the time of contest but now these solutions are timing out ?
What is wrong with the rejudging ?
There some serious issues in Ranking also because of rejudging.
This is really not acceptable :confused:

The cases of the AC solutions getting TLE will be looked into. There was some issue in the re-judging the solutions the first time around. We have rejudged them now. However, due to so many solutions getting queued for a rejudge, the load on the online judge increases with resource contention coming into picture. This makes the judge slower and some solutions may get TLE’d. Please do not worry about them as we will try and make sure that all AC solutions during the contest get AC even after rejudge.

1 Like

I dont like the partial test file rule.

1 Like